Create a project
POST
/v1/projectscurl -X POST 'https://api.embodiflow.io/v1/projects' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"description": "string",
"visibility": "private",
"dataKind": "human",
"dataFormat": "x-sim-hdf5",
"robotType": "string",
"defaultFps": 0,
"defaultTask": "string",
"requiresSegmentation": true
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- namestring必填
Display name for the project.
- descriptionstring | null
- visibilitystring必填可选值privateinternal
- dataKindstring可选值humanrobotvideo
- dataFormatstring | null
Optional import default hint: a platform data format or a published team format slug (x-<name>); never restricts formats in this project.
- robotTypestring | null
- defaultFpsnumber | null
- defaultTaskstring | null
- requiresSegmentationboolean
响应
Success
- dataobject必填
- idstring必填
- tenantIdstring必填
- slugstring必填
- namestring必填
- descriptionstring | null必填
- visibilitystring必填
- statusstring必填
- isSampleone of必填
- dataKindstring必填可选值humanrobotvideo
- dataFormatstring | null
- robotTypestring | null必填
- defaultFpsnumber | null必填
- defaultTaskstring | null必填
- requiresSegmentationone of必填
- lastAccessedAtstring | null必填
- createdAtstring必填
- updatedAtstring必填
- processingobject
- teamRuntimeobject
- handlestring
- refstring
- urlstring
响应示例
{
"data": {
"id": "string",
"tenantId": "string",
"slug": "string",
"name": "string",
"description": "string",
"visibility": "string",
"status": "string",
"isSample": false,
"dataKind": "human",
"dataFormat": "string",
"robotType": "string",
"defaultFps": 0,
"defaultTask": "string",
"requiresSegmentation": false,
"lastAccessedAt": "string",
"createdAt": "string",
"updatedAt": "string",
"processing": {
"state": "not_applicable",
"code": "PROJECT_PROCESSING_UNAVAILABLE",
"templateCode": "robot-standard",
"reason": "algorithms_missing",
"missingAlgorithms": [
"string"
]
},
"teamRuntime": {
"state": "ready"
},
"handle": "string",
"ref": "string",
"url": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1